Docs
Assignment APIConfiguration

Configure auto-assignment behaviour

Security groups:Auto-assignment customizers
PUT
/assignments/auto-assignment

Configures how eClear automatically classifies your products — which strategies to apply, in what order, and whether to stop at the first successful match or continue to find the deepest one.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/assignments/auto-assignment" \  -H "Content-Type: application/json" \  -d '{    "autoAssignmentConfigurations": {      "strategyPriorityOrder": [        "CUSTOMS-CODE",        "DESCRIPTION",        "CUSTOMER-RULE1"      ],      "stoppingRule": "ON-SUCCESS-RETURN"    }  }'
{
  "autoAssignmentConfigurations": {
    "strategyPriorityOrder": [
      "CUSTOMS-CODE",
      "DESCRIPTION",
      "CUSTOMER-RULE1"
    ],
    "stoppingRule": "ON-SUCCESS-RETURN"
  }
}
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}